package com.microsoft.schemas.office.project.server.webservices.LoginForms;

public class LoginFormsSoapProxy implements com.microsoft.schemas.office.project.server.webservices.LoginForms.LoginFormsSoap {
  private String _endpoint = null;
  private com.microsoft.schemas.office.project.server.webservices.LoginForms.LoginFormsSoap loginFormsSoap = null;
  
  public LoginFormsSoapProxy() {
    _initLoginFormsSoapProxy();
  }
  
  public LoginFormsSoapProxy(String endpoint) {
    _endpoint = endpoint;
    _initLoginFormsSoapProxy();
  }
  
  private void _initLoginFormsSoapProxy() {
    try {
      loginFormsSoap = (new com.microsoft.schemas.office.project.server.webservices.LoginForms.LoginFormsLocator()).getLoginFormsSoap();
      if (loginFormsSoap != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)loginFormsSoap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)loginFormsSoap)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (loginFormsSoap != null)
      ((javax.xml.rpc.Stub)loginFormsSoap)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.microsoft.schemas.office.project.server.webservices.LoginForms.LoginFormsSoap getLoginFormsSoap() {
    if (loginFormsSoap == null)
      _initLoginFormsSoapProxy();
    return loginFormsSoap;
  }
  
  public boolean login(java.lang.String username, java.lang.String password) throws java.rmi.RemoteException{
    if (loginFormsSoap == null)
      _initLoginFormsSoapProxy();
    return loginFormsSoap.login(username, password);
  }
  
  public void logoff() throws java.rmi.RemoteException{
    if (loginFormsSoap == null)
      _initLoginFormsSoapProxy();
    loginFormsSoap.logoff();
  }
  
  
}